const inquirer = require('inquirer')
const shell = require("shelljs")
const path = require('path')

module.exports = async (pageName) => {
  const source = path.basename(process.cwd())
  const ans = await inquirer.prompt([{
    type: 'list',
    message: `是否将${pageName}项目的资源上传cdn`,
    name: 'is',
    choices:[
      '是',
      '否'
    ]
  }])
  if(ans.is === '是'){
    if(!shell.which('/data/x/libs/miro/bin/import_res')){
      console.error('不支持miro上传工具!')
    }
    shell.exec(`/data/x/libs/miro/bin/import_res -s ./dist/assets/${pageName}/ -d ${source}/assets/${pageName}/  -e online`);
  }
}
