const inquirer = require('inquirer');
const path = require('path')
const globby = require('globby')
const fse = require('fs-extra')
const chalk = require('chalk')

async function newPage (pageName) {
  const tpls = (await globby([path.resolve(__dirname,'./template/*')],{onlyDirectories: true})).map((path) =>{
    const obj = {}
    const arr = path.split('/')
    return {name: arr[arr.length - 1], value: path}
  })
  var questions = [
    {
      type: 'list',
      name:'path',
      message:'选择模版',
      choices: tpls
    }
  ];
  inquirer.prompt(questions).then(async function(ans){
    await fse.copy(ans.path, path.resolve(process.cwd(),'src',pageName))
    console.log(chalk.green('项目初始化成功,执行命令开发：'))
    console.log()
    console.log(chalk.green(` yarn start ${pageName}`))
  })
}

module.exports = newPage
