const globby = require('globby')
const path = require('./path')
const fse = require('fs-extra')
const config = require('../config')

module.exports = async function getEntries (pageName) {
  const source = path.resolve(process.cwd(),'src',pageName)
  if(!fse.existsSync(path.resolve(source,'index.js'))){
    const pages = await globby([path.resolve(source,'pages/*')],{onlyDirectories: true})
    const obj = {}
    pages.forEach((v)=>{
      const arr = v.split('/')
      obj[arr[arr.length - 1]] = v + '/index.js'
    })
    return obj
  }
  return {index: path.resolve(source,'index.js')}
}
